package com.game.business.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.game.common.annotation.Excel;
import com.game.common.core.domain.BaseEntity;
import io.swagger.annotations.ApiModelProperty;
import io.swagger.annotations.ApiModel;
import lombok.Data;

import java.util.Date;

/**
 * 用户代理表对象 app_user_agent
 *
 * @author game
 * @date 2024-06-25
 */
@ApiModel(value = "app_user_agent", description = "用户代理表")
@TableName(value= "app_user_agent")
@Data
public class AppUserAgent
        {
private static final long serialVersionUID=1L;

    /**  */
    @ApiModelProperty(value = "")
    @TableId(value = "id" , type = IdType.AUTO)
    private Long id;

    /** 用户id */
    @ApiModelProperty(value = "用户id")
    @Excel(name = "用户id")
    @TableField(value = "user_id")
    private Long userId;

    /** 上级id */
    @ApiModelProperty(value = "上级id")
    @Excel(name = "上级id")
    @TableField(value = "pid")
    private Long pid;

    /** 顶级代理ID */
    @ApiModelProperty(value = "顶级代理ID")
    @Excel(name = "顶级代理ID")
    @TableField(value = "top_id")
    private Long topId;

    /** 直播分成比例 */
    @ApiModelProperty(value = "直播分成比例")
    @Excel(name = "直播分成比例")
    @TableField(value = "live_rate")
    private Long liveRate;

    /** 保底分红比例 */
    @ApiModelProperty(value = "保底分红比例")
    @Excel(name = "保底分红比例")
    @TableField(value = "dividend_guarantee_rate")
    private Long dividendGuaranteeRate;

    /** 审核状态 0 待审核 1 审核/自动 2 未通过  */
    @ApiModelProperty(value = "审核状态 0 待审核 1 审核/自动 2 未通过 ")
    @Excel(name = "审核状态 0 待审核 1 审核/自动 2 未通过 ")
    @TableField(value = "audit_status")
    private String auditStatus;

    /** 创建时间 */
    @ApiModelProperty(value = "创建时间")
    @TableField(value = "create_time")
    private Date createTime;

    /** 更新时间 */
    @ApiModelProperty(value = "更新时间")
    @TableField(value = "update_time")
    private Date updateTime;

}