package com.game.business.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.game.business.domain.AppUserCount;
import com.game.business.mapper.AppUserCountMapper;
import com.game.business.service.IAppUserCountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collections;
import java.util.List;

@Service
public class AppUserCountServiceImpl extends ServiceImpl<AppUserCountMapper, AppUserCount> implements IAppUserCountService {

    @Autowired
    private AppUserCountMapper appUserCountMapper;

    @Override
    public List<AppUserCount> getAppUserCount(long userId,String beginTime,String endTIme) {
        LambdaQueryWrapper<AppUserCount> queryWrapper = new LambdaQueryWrapper<AppUserCount>();
        queryWrapper.between(AppUserCount::getStrDate,beginTime,endTIme);
        queryWrapper.eq(AppUserCount::getUserId,userId);
        return appUserCountMapper.selectList(queryWrapper);
    }

}
